Need to add free mesh faces to mesh

When working with meshes I regularly need to add mesh faces that don’t fully connect to the existing vertices. Can you please add that function to the AddMeshFace command?

Currently I use a script I made, but it would be better with an integrated tool as it could also include mesh edge as starting point, and also other curves.



#Add_Mesh_Face
#By Holo 2016

import rhinoscriptsyntax as rs

obj=rs.GetObject("Select mesh to add face",32)
if obj:
    vertices =rs.GetPoints(draw_lines=True, max_points=4)
    faces=[]
    if len(vertices)>2:
        if len(vertices)==3:
            faces.append([0,1,2])
        if len(vertices)==4:
            faces.append([0,1,2,3])
        mesh=rs.AddMesh(vertices ,faces)
        newMesh=rs.JoinMeshes([obj,mesh], True)
        rs.SelectObject(newMesh)
        rs.Command("_UnifyMeshNormals", False)
        rs.UnselectObject(newMesh)